require 'payoneer/configuration'

module Payoneer
  class PerformPayoutPaymentRequest
    def perform_payment(internal_payment_id, internal_payee_id, amount, description)
      Payoneer::Request.new.execute "PerformPayoutPayment", Payoneer::PerformPayoutPaymentResponse, credentials.merge({
        :p5 => internal_payment_id, :p6 => internal_payee_id, :p7 => amount,
        :p8 => description, :p9 => payment_date
      })
    end

    def credentials
      { :p1 => Payoneer::Configuration.username,
        :p2 => Payoneer::Configuration.password,
        :p3 => Payoneer::Configuration.partner_id,
        :p4 => Payoneer::Configuration.program_id }
    end

    def payment_date
      Time.now.utc.strftime("%m/%d/%Y %H:%M:%S")
    end
  end
end